function enablebaseline

%   enablebaseline

%   This software is protected by german copyright and international treaties.             
%   Copyright 2004 Markus Junghöfer & Peter Peyk. All Rights Reserved.                     
%                                                                                          
%   THIS SOFTWARE AND DOCUMENTATION IS PROVIDED "AS IS," AND COPYRIGHT HOLDERS MAKE        
%   NO REPRESENTATIONS OR WARRANTIES, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO,    
%   WARRANTIES OF MERCHANTABILITY OR FITNESS FOR ANY PARTICULAR PURPOSE OR THAT THE USE    
%   OF THE SOFTWARE OR DOCUMENTATION WILL NOT INFRINGE ANY THIRD PARTY PATENTS, COPYRIGHTS,
%   TRADEMARKS OR OTHER RIGHTS. COPYRIGHT HOLDERS WILL NOT BE LIABLE FOR ANY DIRECT,       
%   INDIRECT, SPECIAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF ANY USE OF THE SOFTWARE      
%   OR DOCUMENTATION.                                                                      
global handles baselinestatus baselineintervall

if get(gco,'Value')==1
    set(handles.togglebuttontotalintervall,'Enable','on');
    baselinestatus = 1;
else
    set(handles.togglebuttontotalintervall,'Enable','off'); 
    set(handles.baselinestarttimeedit,'Enable','off');
    set(handles.baselineendtimeedit,'Enable','off');
    set(handles.baselinestarttimeedit,'String','');
    set(handles.baselineendtimeedit,'String','');
    baselinestatus = 0;
    baselineintervall = [];
    set(handles.baselinestarttimeedit,'BackgroundColor',[0.8 0.8 0.8]);
    set(handles.baselineendtimeedit,'BackgroundColor',[0.8 0.8 0.8]);
end

